# static-misc

## Test locally

    docker build -t quay.io/perl/static-web:v1.2.0 .
    git clone git@git.develooper.com:perl-static-misc.git git

    docker run -p 8000:80 --name static-misc \
       -v `pwd`/git:/git/static -v `pwd`/config:/web/config \
       -ti --rm quay.io/perl/static-web:v1.2.0

Test with

    curl -H 'Host: i.perl.org' localhost:8000

To get a shell in the container run

    docker exec -ti static-misc bash

And then run `curl -H 'Host: i.perl.org' localhost` there.

## Production image

The "production image" is in https://quay.io/perl/static-web - the image
is "manually" built and pushed because I didn't want to give quay access
to all of this git repository.

  REV=v1.0
  IMAGE=quay.io/perl/static-web:$REV
  docker build -t $IMAGE . && \
  docker push $IMAGE

